| Home | Libraries | People | FAQ | More

## Class function_base

boost::function_base — The common base class for all Boost.Function objects. Objects of type function_base may not be created directly.

## Synopsis

    class function_base {
    public:

      // capacity
      bool empty() const;
    };

## Description

### `function_base` capacity

1.     bool empty() const;

   Returns: `true` if `this` has a target, and `false` otherwise.
   Throws: Will not throw.

Last revised: , at GMT | Copyright © 2001-2003 Douglas Gregor

Class bad_function_call |  | Class template functionN